import { watch as t } from "vue";
import { debounce as n, isEqual as m, cloneDeep as a } from "lodash";
const b = (e, c, i) => {
  const u = n(() => {
    e.sources && e.sources.length > 0 && c(e.option);
  }, 50);
  t(() => e.sources, u, {
    deep: !0
  });
  const r = n((o, s) => {
    m(o, s) || i(o);
  }, 50);
  t(() => a(e.option), r, {
    deep: !0
  });
};
export {
  b as useCommonChart
};
